Subject: [homenet] MPvD use cases in homenet

From: Liang Geng <[email-masked]>
Date: Mon, 9 Mar 2015 23:15:12 +0800

Hello everyone.

I initiated a draft on the MPvD use cases in homenet. The multihomed and
multi-subnet characteristic of homenet make PvD a good candidate for
independent and flexible domain-based network configuration. The purpose of
the document is to summarize the potential adoption use cases of PvDs in
homenet. Types of PvD-aware nodes are given referring both to the model in
MPvD architecture and the homenet model, for the purpose of creating PvDs
for individual interfaces and services. Examples of PvD arrangement are also
given for both singlehomed and multi-homed scenario.

Since these are very initial thoughts, the delivery of PvD information
within Homenet is only briefly discussed in this draft. I am still working
on the possible HNCP implementation for this purpose. Discussion is more
than welcome on this.

Comments are extremely welcome. Thanks a lot!

Best wishes,
Liang